\name{marrayTwo-class}
\docType{class}

\alias{marrayTwo-class}
\alias{marrayTwo}

\alias{maX}
\alias{maX<-}
\alias{maY}
\alias{maY<-}

\alias{[,marrayTwo-method}
\alias{maControls<-,marrayTwo-method}
\alias{maControls,marrayTwo-method}
\alias{maGridCol,marrayTwo-method}
\alias{maGridRow,marrayTwo-method}
%\alias{maLayout<-,marrayTwo,marrayLayout-method}
\alias{maLayout,marrayTwo-method}
\alias{maNgc<-,marrayTwo,numeric-method}
\alias{maNgc,marrayTwo-method}
\alias{maNgr<-,marrayTwo,numeric-method}
\alias{maNgr,marrayTwo-method}
\alias{maNsamples,marrayTwo-method}
\alias{maNsc<-,marrayTwo,numeric-method}
\alias{maNsc,marrayTwo-method}
\alias{maNspots<-,marrayTwo,numeric-method}
\alias{maNspots,marrayTwo-method}
\alias{maNsr<-,marrayTwo,numeric-method}
\alias{maNsr,marrayTwo-method}
\alias{maPlate<-,marrayTwo-method}
\alias{maPlate,marrayTwo-method}
\alias{maPrintTip,marrayTwo-method}
\alias{maSpotCol,marrayTwo-method}
\alias{maSpotRow,marrayTwo-method}
\alias{maSub<-,marrayTwo-method}
\alias{maSub,marrayTwo-method}
%\alias{maTargets<-,marrayTwo,marrayInfo-method}
\alias{maTargets,marrayTwo-method}
\alias{maX<-,marrayTwo,matrix-method}
\alias{maX,marrayTwo-method}
\alias{maY<-,marrayTwo,matrix-method}
\alias{maY,marrayTwo-method}
\alias{print,marrayTwo-method}
\alias{show,marrayTwo-method}

%\alias{maLayout}
%\alias{maNgr}
%\alias{maNgc}
%\alias{maNsr}
%\alias{maNsc}
%\alias{maNspots}
%\alias{maSub}
%\alias{maPlate}
%\alias{maControls}

%\alias{maTargets}


\title{Class "marrayTwo", classes and methods for microarray spot statistics}

\description{This class represents pre- or post-normalization intensity data for a batch of cDNA microarrays. A \emph{batch of arrays} consists of a collection of arrays with the same layout  (\code{"\link{marrayLayout}"}). The class contains slots for two types of spot statistics (e.g. the raw green (Cy3) and red (Cy5) foreground  intensities, or normalized log-ratios M and average intensities A), the layout of the arrays, and a description of the target samples hybridized to the arrays}


\section{Objects from the Class}{
Objects can be created by calls of the form 
\code{  new('marrayRaw',}\cr
\code{    maX      = ...., # Object of class matrix}\cr
\code{    maY      = ...., # Object of class matrix}\cr
\code{    maLayout  = ...., # Object of class marrayLayout}\cr
\code{    maTargets = ...., # Object of class marrayInfo}\cr
\code{  )}
}

\section{Slots}{
  \describe{
    \item{\code{maX}:}{Object of class \code{"matrix"}, any spot statistic, rows correspond to spotted probe sequences, columns to arrays in the batch.}
    \item{\code{maY}:}{Object of class \code{"matrix"}, any spot statistic, rows correspond to spotted probe sequences, columns to arrays in the batch.}
    \item{\code{maLayout}:}{Object of class \code{"\link{marrayLayout}"},  layout parameters for the cDNA microarrays.}
    \item{\code{maTargets}:}{Object of class \code{"\link{marrayInfo}"}, description of target samples hybridized to the arrays.}
  }
}

\section{Methods}{
  \describe{
    \item{[}{\code{signature(x = "marrayTwo")}: subsetting operator for spots on the array and arrays in the batch, ensures that all slots are subset properly.}
    \item{maControls}{\code{signature(object = "marrayTwo")}: slot accessor method.}
    \item{maControls<-}{\code{signature(object = "marrayTwo")}:  slot assignment method.} 
   \item{maGridCol}{\code{signature(object = "marrayTwo")}:  method which computes a vector of grid column coordinates for each spot.}
    \item{maGridRow}{\code{signature(object = "marrayTwo")}: method which computes a vector of grid row coordinates for each spot.}
    \item{maLayout}{\code{signature(object = "marrayTwo")}:  slot accessor method.}
    \item{maLayout<-}{\code{signature(object = "marrayTwo", value = "marrayLayout")}: slot assignment method.} 
 \item{maNgc}{\code{signature(object = "marrayTwo")}: slot accessor method.}
    \item{maNgc<-}{\code{signature(object = "marrayTwo", value = "numeric")}: slot assignment method.} 
    \item{maNgr}{\code{signature(object = "marrayTwo")}: slot accessor method.}
    \item{maNgr<-}{\code{signature(object = "marrayTwo", value = "numeric")}: slot assignment method.} 
    \item{maNsamples}{\code{signature(object = "marrayTwo")}: slot accessor method.}
    \item{maNsc}{\code{signature(object = "marrayTwo")}: slot accessor method.}
    \item{maNsc<-}{\code{signature(object = "marrayTwo", value = "numeric")}: slot assignment method.} 
    \item{maNspots}{\code{signature(object = "marrayTwo")}: slot accessor method.}
    \item{maNspots<-}{\code{signature(object = "marrayTwo", value = "numeric")}: slot assignment method.} 
    \item{maNsr}{\code{signature(object = "marrayTwo")}: slot accessor method.}
    \item{maNsr<-}{\code{signature(object = "marrayTwo", value = "numeric")}: slot assignment method.} 
    \item{maPlate}{\code{signature(object = "marrayTwo")}: slot accessor method.}
    \item{maPlate<-}{\code{signature(object = "marrayTwo")}: slot assignment method. }
    \item{maPrintTip}{\code{signature(object = "marrayTwo")}: method which computes a vector of print-tip-group indices for each spot.}
    \item{maSpotCol}{\code{signature(object = "marrayTwo")}: method which computes a vector of spot column coordinates for each spot.}
    \item{maSpotRow}{\code{signature(object = "marrayTwo")}: method which computes a vector of spot row coordinates for each spot.}
    \item{maSub}{\code{signature(object = "marrayTwo")}: slot accessor method.}
    \item{maSub<-}{\code{signature(object = "marrayTwo")}: slot assignment method.} 
    \item{maTargets}{\code{signature(object = "marrayTwo")}: slot accessor method.}
    \item{maTargets<-}{\code{signature(object = "marrayTwo", value = "marrayInfo")}: slot assignment method.} 
    \item{maX}{\code{signature(object = "marrayTwo")}: slot accessor method.}
    \item{maX<-}{\code{signature(object = "marrayTwo", value = "matrix")}: slot assignment method.} 
    \item{maY}{\code{signature(object = "marrayTwo")}: slot accessor method.}
    \item{maY<-}{\code{signature(object = "marrayTwo", value = "matrix")}: slot assignment method.} 
    \item{print}{\code{signature(x = "marrayTwo")}: print method for \code{"\link{marrayTwo}"} class.}
  }
}
\references{S. Dudoit and Y. H. Yang. (2002). Bioconductor R packages for exploratory analysis and normalization of cDNA microarray data. In G. Parmigiani, E. S. Garrett, R. A. Irizarry and S. L. Zeger, editors, \emph{The Analysis of Gene Expression Data: Methods and Software}, Springer, New York.
}

\author{Sandrine Dudoit, \url{http://www.stat.berkeley.edu/~sandrine}.}

\seealso{\code{\link{marrayLayout}}, \code{\link{marrayRaw}}, \code{\link{marrayNorm}}, \code{\link{marrayInfo}}, \code{\link{marraySpots}}, \code{\link{print-methods}}, \code{\link{[-methods}}.}


\examples{
## See marrayRaw
}
\keyword{classes}
